CREATE TABLE cel_external_vendors (
    VENDOR_CODE              VARCHAR2(120) ,
    ACCOUNT_TYPE_CODE        VARCHAR2(120) ,
    POINT_VALUE              NUMBER        ,
    CONTENT_ID               VARCHAR2(120) ,
    ENABLED_FLAG             VARCHAR2(4)       NOT NULL,
    WITHDRAW_POINTS_FLAG     VARCHAR2(4)   ,
    CLIENT_USERNAME          VARCHAR2(4000),
    CLIENT_SECRET            VARCHAR2(4000),
    CLIENT_KEY               VARCHAR2(1200),
    VENDOR_URL1              VARCHAR2(4000),
    VENDOR_URL2              VARCHAR2(4000),
    IMAGE_URL                VARCHAR2(4000),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    VENDOR_CODE              VARCHAR2(120) ,
    POINT_VALUE              NUMBER        ,
    CONTENT_ID               VARCHAR2(120) ,
    ENABLED_FLAG             VARCHAR2(4)       NOT NULL,
    CLIENT_USERNAME          VARCHAR2(4000),
    CLIENT_SECRET            VARCHAR2(4000),
    CLIENT_KEY               VARCHAR2(1200),
    VENDOR_URL1              VARCHAR2(4000),
    VENDOR_URL2              VARCHAR2(4000),
    IMAGE_URL                VARCHAR2(4000),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    ACCOUNT_TYPE_CODE        VARCHAR2(120) ,
    WITHDRAW_POINTS_FLAG     VARCHAR2(4)   ,
    CONSTRAINT pk_cel_external_vendors PRIMARY KEY (VENDOR_CODE, VENDOR_CODE)
);
